Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.keys
Class RetrievalMethod

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.dsig.ObjectReference
oracle.security.xmlsec.keys.RetrievalMethod`

All Implemented Interfaces:
  KeyInfoData

public class RetrievalMethod
extends ObjectReference
implements KeyInfoData

XML-DSIG RetrievalMethod element containing a reference to key info, either elsewhere in the same document or external to the document.

An optional Type URI may be used to indicate the type of the KeyInfo child object to be retrieved. Standard KeyInfo type URI constants can be found in `XMLURI`, including:

- Diffie-Hellman Public Key `XMLURI.obj_DHKeyValue`
- DSA Public Key `XMLURI.obj_DSAKeyValue`
- Encrypted Key `XMLURI.obj_EncryptedKey`
- Key Name `XMLURI.obj_KeyName`
- Key Management Data `XMLURI.obj_MgmtData`
- PGP Key Data `XMLURI.obj_PGPData`
- Raw (base-64 encoded binary) X.509 Certificate `XMLURI.obj_rawX509Certificate`
- Key Retrieval Method `XMLURI.obj_RetrievalMethod`
- RSA Public Key `XMLURI.obj_RSAKeyValue`
- SPKI Key Data `XMLURI.obj_SPKIData`
- X.509 Key/Certificate Data `XMLURI.obj_X509Data`

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`RetrievalMethod(org.w3c.dom.Element element)` Creates a new `RetrievalMethod` instance from the given Element node.
`RetrievalMethod(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `RetrievalMethod` instance from the given Element node.

Method Summary
`KeyInfoData` | `getKeyInfoData()` Dereferences this `RetrievalMethod` by retrieving the referenced key info, applying any Transforms and instantiating an appropriate `KeyInfoData` class.
`java.lang.String` | `getObjectType()` Returns the value of the Type attribute identifying the type of the referenced object.
`java.lang.String` | `getType()` Returns the type URI that identifies the specific KeyInfoData subclass.
`void` | `setObjectType(java.lang.String type)` Sets the Type attribute identifying the type of the referenced object.

Methods inherited from class oracle.security.xmlsec.dsig.ObjectReference
`addTransform, dereference, getTransforms, getURI, setURI`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RetrievalMethod

    public RetrievalMethod(org.w3c.dom.Element element)
                    throws org.w3c.dom.DOMException

  Creates a new `RetrievalMethod` instance from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the XML-DSIG RetrievalMethod schema.

### RetrievalMethod

    public RetrievalMethod(org.w3c.dom.Element element,
                           java.lang.String systemId)
                    throws org.w3c.dom.DOMException

  Creates a new `RetrievalMethod` instance from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the XML-DSIG RetrievalMethod schema.
  `systemId` - The URI string system ID for this element.
Since:
  2.0
See Also:
  `XMLNode.setSystemId(java.lang.String)`

Method Detail

### setObjectType

    public void setObjectType(java.lang.String type)
                       throws org.w3c.dom.DOMException

  Sets the Type attribute identifying the type of the referenced object.
  Parameters:
    `type` - A URI identifying the type of the referenced object.
  Throws:
    `org.w3c.dom.DOMException`

### getObjectType

    public java.lang.String getObjectType()

  Returns the value of the Type attribute identifying the type of the referenced object.
  Returns:
    A URI identifying the type of the referenced object, or `null` if the attribute is missing.

### getKeyInfoData

    public KeyInfoData getKeyInfoData()
                               throws ReferenceException

  Dereferences this `RetrievalMethod` by retrieving the referenced key info, applying any Transforms and instantiating an appropriate `KeyInfoData` class.
  Returns:
    A `KeyInfoData` instance.
  Throws:
    `ReferenceException` - If an error occurs in dereferencing, parsing or instantiating the referenced KeyInfo data.
  Since:
    2.0

### getType

    public java.lang.String getType()

  Description copied from interface: `KeyInfoData`
  Returns the type URI that identifies the specific KeyInfoData subclass.

  Interface `XMLURI` contains the KeyInfo data type URIs defined in the XML Signature and XML Encryption namespaces, including:

  - Diffie-Hellman Public Key `XMLURI.obj_DHKeyValue`
  - DSA Public Key `XMLURI.obj_DSAKeyValue`
  - Encrypted Key `XMLURI.obj_EncryptedKey`
  - Key Name `XMLURI.obj_KeyName`
  - Key Management Data `XMLURI.obj_MgmtData`
  - PGP Key Data `XMLURI.obj_PGPData`
  - Raw (base-64 encoded binary) X.509 Certificate `XMLURI.obj_rawX509Certificate`
  - Key Retrieval Method `XMLURI.obj_RetrievalMethod`
  - RSA Public Key `XMLURI.obj_RSAKeyValue`
  - SPKI Key Data `XMLURI.obj_SPKIData`
  - X.509 Key/Certificate Data `XMLURI.obj_X509Data`
  Specified by:
    `getType` in interface `KeyInfoData`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.